/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.activemq.message;


/**
 * @version $Revision: 1.1.1.1 $
 */
public class SessionInfoTest extends PacketTestSupport {

    private short sessionId = 123;
    private String clientId = "client:ABC";
    private long startTime = 1234L;
    private boolean started = true;

    protected void assertValidPacket(Packet packet) {
        assertTrue(packet instanceof SessionInfo);
        SessionInfo testInfo = (SessionInfo) packet;
        assertTrue(testInfo.getSessionId()==this.sessionId);
        assertTrue(testInfo.getClientId().equals(this.clientId));
        assertTrue(testInfo.getStartTime() == this.startTime);
        assertTrue(testInfo.isStarted() == this.started);
    }

    protected void assertPacket(Packet packet, Packet expected) {
        assertValidPacket(packet);
    }

    protected Packet createPacket() {
        SessionInfo info = new SessionInfo();
        info.setSessionId(this.sessionId);
        info.setClientId(this.clientId);
        info.setStartTime(this.startTime);
        info.setStarted(this.started);
        return info;
    }

}
